Skip to content

PUT Portal settings

This PUT call configures the global Sentri settings.

Location

/api/v1/portal-management/configure/

Permissions required

admin-portalsettings RW

Body parameters

Parameter Type Required Description
portal_uuid uuid yes Unique id of Sentri instance.
portal_name string yes The name of the portal.
portal_provider_name string yes The name of the Sentri provider
admin_auth_methods string yes The authentication method. Currently supports only database_auth

Example Body (json)

{
        "portal_uuid": "5219edbb-512d-11f1-8bac-bc2411125ba4",
        "portal_name": "Sentri",
        "portal_provider_name": "Your company name",
        "admin_auth_methods": "database_auth"
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/configure/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: PUT'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"portal settings updated successfully."

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.